commit:     50488e283b386d2406b0a80fd621f09d50b40608
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  5 22:56:04 2024 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Oct  5 22:58:04 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50488e28

app-emulation/faudio: add 24.10

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-emulation/faudio/Manifest            |  1 +
 app-emulation/faudio/faudio-24.10.ebuild | 37 ++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/app-emulation/faudio/Manifest b/app-emulation/faudio/Manifest
index b3efbac2f782..492e8eba0a77 100644
--- a/app-emulation/faudio/Manifest
+++ b/app-emulation/faudio/Manifest
@@ -1,2 +1,3 @@
 DIST faudio-24.08.tar.gz 1125131 BLAKE2B 
a76da292ec74662413aa287147b83978f422d68077b62e3c8d5ad8a324ac1838d130d46ba8e7d32551221e55e73970ddc47ec06e20de905a6dc7cedacafc34fb
 SHA512 
29777408b65ddc77e31d284730a0f3a08a973e29f6a492a7a9af5208b78279d40967ca593a55542aa3de7dd41deb82a31a6291a6bdffd56f04a91674276f95c6
 DIST faudio-24.09.tar.gz 1125248 BLAKE2B 
5aad42653d4242df21fbf6d807176dd9db0820f5dfb708ca584b8e7cb234f7a65e68806f96dee8620d5a356c60ab0317099470ebdac9ab00444646c321e67099
 SHA512 
f74282a7df749f50026bb07309ca20fb12b098cc24b003f8b93f4f6868a3d6f4343d4bd06b947b17d9ec6c1d08f88e477da259397d745f9cc41321f7c5722448
+DIST faudio-24.10.tar.gz 1125385 BLAKE2B 
1179139403621302c238b1ba4dfd691b64541c2b23919cfb86f9cad587e1fbd68be18c62c00fc3a9c408d7c580e2ce63392d362ad32a60957bc102b5a1189c51
 SHA512 
e0b2031ba8452aa0696bc841013db5558c97f87a0071cf5fb48dd668363980d6d7d1adbc22d051e5019f32ee4aaf5553ebb80d37b87e9bcde153b828be5ff127

diff --git a/app-emulation/faudio/faudio-24.10.ebuild 
b/app-emulation/faudio/faudio-24.10.ebuild
new file mode 100644
index 000000000000..e372ae484496
--- /dev/null
+++ b/app-emulation/faudio/faudio-24.10.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="Accuracy-focused XAudio reimplementation for open platforms"
+HOMEPAGE="https://fna-xna.github.io/";
+SRC_URI="https://github.com/FNA-XNA/FAudio/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/FAudio-${PV}"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug dumpvoices test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="media-libs/libsdl2[sound]"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+       append-cppflags -D_DEFAULT_SOURCE # usleep() in tests
+       use debug || append-cppflags -DFAUDIO_DISABLE_DEBUGCONFIGURATION
+
+       local mycmakeargs=(
+               -DBUILD_TESTS=$(usex test)
+               -DDUMP_VOICES=$(usex dumpvoices)
+       )
+
+       cmake_src_configure
+}
+
+src_test() {
+       einfo "Running faudio_tests, this may take some time without output..."
+       SDL_AUDIODRIVER=dummy "${BUILD_DIR}"/faudio_tests || die
+}

Reply via email to